 /*----------------------------------------------------------------------------
 * Nazev:   app_init.c
 * Popis:   inicializace GPIO
 * Pozn:
 *--------------------------------------------------------------------------*/
 
/* Incude ------------------------------------------------------------------*/
 #include "lcd_dog132\app_init.h"				  

/* Inicializace aplikace -----------------------------------------------------
vstupy:
zadne
----------------------------------------------------------------------------*/
void app_config(void)
{
  GPIO_InitTypeDef GPIO_InitStructure;
  
  // nastavení clocku k GPIO
  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_GPIOB , ENABLE);
  
  // GPIO configurace
  // LCD - A0, RST, CS, SI, SCK  
  // Push-pull 50MHZ maximalni preklapěcí frekvence
  GPIO_InitStructure.GPIO_Pin = LCD_CS | LCD_RST | LCD_A0 | LCD_SI | LCD_SCK;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  GPIO_Init(GPIOA, &GPIO_InitStructure);

  //GPIO nastaveni po zapnuti 
  GPIO_WriteBit(LCD_CS_port, LCD_CS, Bit_SET);
  GPIO_WriteBit(LCD_RST_port, LCD_RST, Bit_SET);
  GPIO_WriteBit(LCD_SCK_port, LCD_SCK, Bit_RESET);
  GPIO_WriteBit(LCD_SI_port, LCD_SI, Bit_RESET);
  GPIO_WriteBit(LCD_A0_port, LCD_A0, Bit_RESET);
}

/* konec souboru -----------------------------------------------------------*/
